Money In

Terminals

 

Retrieve & Update details of terminals (Point of Sale devices).

Update

Update the details of a specific terminal.

Path

POST /terminals/:id

Where id is the ID of the terminal you would like to update e.g. ter_0YetDW3cjCAaMPVOgbPTO.

Body

{
  "terminal_status": "ACTIVE",
  "nickname": "Mills Group",
  "location": {
    "name": "Pretoria",
    "coordinates": "-44.236, 161.269"
  },
  "contact_numbers": ["0830000000", "0720000000"],
  "settings": {
    "is_debicheck": true,
    "is_card_payment": true,
    "is_customers": true,
    "is_invoices": true
  }
}

Parameters

Field
RequiredCan be ClearedType
Description
Example
*.terminal_statusNNENUMIf provided will change the status of the terminal (leave blank to keep same status). (ACTIVE,DISABLED,ARCHIVED).ACTIVE
*.nicknameNNString(128)Nickname for the terminalMills Group
*.location.nameNNString(256)Name of the location where the terminal is keptPretoria
*.location.coordinatesNNString(34)Custom coordinates where the terminal is kept. Your choice of Decimal Degrees or Degrees, Minutes, Seconds.-44.236, 161.269
*.contact_numbersNYArrayOTP's are allowed to be sent to either of these contact numbers when logging the device in. If terminal is in PIN mode these numbers won't be used."0830000000", "0720000000"
*.settings.is_debicheckNNBooleanShow DebiCheck options on the terminal device. Only applicable if the terminal has been configured with a DebiCheck payment method.true
*.settings.is_card_paymentNNBooleanShow card payment options on the terminal device.true
*.settings.is_customersNNBooleanShow the customers section on the terminal device.true
*.settings.is_invoicesNNBooleanShow the invoices section on the terminal device.true

Response Body

The response follows the same format as the list response

{
  "status": true,
  "records": [{
    "id": "ter_VLSEUZK5STgmP4J6yBDlU",
    "created_at": "2024-12-28 22:14:47",
    "updated_at": null,
    "activated_at": null,
    "last_seen_at": "2026-03-28 11:14:11",
    "last_login_at": "2026-03-28 11:14:11",
    "warranty_expire_at": "2026-12-21 14:12:03",
    "terminal_brand": "SNUMI",
    "terminal_device": "P2_LITE_SE",
    "terminal_status": "ACTIVE",
    "terminal_id": "301316",
    "serial_number": "573412",
    "nickname": "Mills Group",
    "location": {
      "name": "Pretoria",
      "coordinates": "-44.236, 161.269"
    },
    "contact_numbers": ["0830000000", "0720000000"],
    "settings": {
      "is_debicheck": true,
      "is_card_payment": true,
      "is_customers": true,
      "is_invoices": true
    }
  }, ...]
}

List

List all terminals loaded.

Path

GET /terminals

Query Parameters

Field
Type
RequiredDescription
Example
idString(32)NFilter for a specific terminalter_VLSEUZK5STgmP4J6yBDlU

Response Body

{
  "status": true,
  "records": [{
    "id": "ter_VLSEUZK5STgmP4J6yBDlU",
    "created_at": "2024-12-28 22:14:47",
    "updated_at": null,
    "activated_at": null,
    "last_seen_at": "2026-03-28 11:14:11",
    "last_login_at": "2026-03-28 11:14:11",
    "warranty_expire_at": "2026-12-21 14:12:03",
    "terminal_brand": "SNUMI",
    "terminal_device": "P2_LITE_SE",
    "terminal_status": "ACTIVE",
    "terminal_id": "301316",
    "serial_number": "573412",
    "nickname": "Mills Group",
    "location": {
      "name": "Pretoria",
      "coordinates": "-44.236, 161.269"
    },
    "contact_numbers": ["0830000000", "0720000000"],
    "settings": {
      "is_debicheck": true,
      "is_card_payment": true,
      "is_customers": true,
      "is_invoices": true
    }
  }, ...]
}